summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control4
-rwxr-xr-xtests/tests/tagupl-native32
2 files changed, 36 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 30fba46..9bdce9d 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -68,6 +68,10 @@ Tests: tagupl
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl, git-debpush
+Tests: tagupl-native
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debpush
+
Tests: test-list-uptodate
Tests-Directory: tests/tests
Depends: git
diff --git a/tests/tests/tagupl-native b/tests/tests/tagupl-native
new file mode 100755
index 0000000..7d79f06
--- /dev/null
+++ b/tests/tests/tagupl-native
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies git-debpush
+
+t-debpolicy
+
+t-archive-none example
+t-git-none
+t-worktree 1.1
+
+v=1.0-1
+
+t-tagupl-settings
+
+cd $p
+git checkout -B master
+
+printf '%s\n' -sn >debian/source/options
+git add debian/source/options
+git rm -f debian/source/format
+git commit -m 'convert to 1.0 native'
+
+tagname=test-dummy/$v
+
+t-tagupl-test --no-push
+
+# xxx test pushing
+# todo: test each miss/rejection
+
+t-ok